# DaprAppCallbackProtos.BulkSubscribeConfigOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface DaprAppCallbackProtos.BulkSubscribeConfigOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprAppCallbackProtos.BulkSubscribeConfig`, `DaprAppCallbackProtos.BulkSubscribeConfig.Builder`

Enclosing class:
  DaprAppCallbackProtos

    public static interface DaprAppCallbackProtos.BulkSubscribeConfigOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `getEnabled()` Required.
`int` `getMaxAwaitDurationMs()` Optional.
`int` `getMaxMessagesCount()` Optional.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getEnabled

    boolean getEnabled()

     Required. Flag to enable/disable bulk subscribe

`bool enabled = 1;`

Returns:
  The enabled.

#### getMaxMessagesCount

    int getMaxMessagesCount()

     Optional. Max number of messages to be sent in a single bulk request

`int32 max_messages_count = 2;`

Returns:
  The maxMessagesCount.

#### getMaxAwaitDurationMs

    int getMaxAwaitDurationMs()

     Optional. Max duration to wait for messages to be sent in a single bulk request

`int32 max_await_duration_ms = 3;`

Returns:
  The maxAwaitDurationMs.